import { jsx } from "react/jsx-runtime";
import { TokenSUIP as TokenSUIP$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSUIP = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "SUIP", "data-name": "TokenSUIP", ...props, children: /* @__PURE__ */ jsx(TokenSUIP$1, { variant }) });
  }
);
TokenSUIP.displayName = "TokenSUIP";
Object.assign(TokenSUIP, { isGdsIcon: true });
export {
  TokenSUIP
};
